Package Details: keepass-plugin-rpc 1.14.0-1

Git Clone URL: https://aur.archlinux.org/keepass-plugin-rpc.git (read-only, click to copy)
Package Base: keepass-plugin-rpc
Description: RPC plugin for Keepass
Upstream URL: https://github.com/kee-org/keepassrpc
Licenses: GPL
Submitter: Tblue
Maintainer: scan
Last Packager: scan
Votes: 49
Popularity: 0.000004
First Submitted: 2014-03-30 20:32
Last Updated: 2020-09-12 03:44

Latest Comments

1 2 3 4 Next › Last »

tellmi commented on 2020-09-16 13:27

after removing the whole path

build/keepass-plugin-rpc

I could update it without any checksum error.

roberestarkk commented on 2020-08-31 00:13

Alas no, I tried doing it with KeePass closed in case it was a file locking issue, I tried deleting the file, I tried moving it from 'Plugins' to 'plugins'.

Nothing so far has worked. It won't even let me uninstall it, so it's probably a Pamac-specific issue.

Marcel_K commented on 2020-08-24 11:32

I don't know pamac, I just run makepkg myself after git pull. In my case, I always get trapped in the fact that I keep the old KeePassRPC.plgx in the directory and then makepkg thinks the file is already there and complains about an invalid sha256sum. I have to delete the old version, so makepkg downloads the new one with the correct checksum. That's probably what's at stake in your case, too.

roberestarkk commented on 2020-08-24 01:32

When attempting to update from 1.12.1-1 to 1.13.0-1, Pamac give the following error:

Validating source files with sha256sums...
KeePassRPC.plgx ... FAILED

Yet the sha256sum in the pkgbuild and the sha256sum for the file I download from that url and check locally are identical.

Nawakrel commented on 2019-05-29 07:18

1.9.0 is out since Apr 16, could you please update the package ?

Magotchi commented on 2018-05-07 15:02

To update, change pkgver and _git_tag both to "1.8.0", change pkgrel to "1", and change the sha384sum to "a1c75fef9a333bc37cdc686848480fd309f0f5054a67389db1853557068d7ccdd06e12a6383f546a6250b44d6289cbfd".

abouvier commented on 2017-10-15 02:49

You don't need to increase the pkgrel if the resulting package is identical :p

Tblue commented on 2017-10-15 00:50

Good point, fixed!

Marcel_K commented on 2017-10-14 17:35

Please bear in mind that there's no versioning in the file name anymore. Every next version will require the user to delete KeePassRPC.plgx manually before running makepkg, or checksumming will fail (and you might get questions about that in the future).

Tblue commented on 2017-10-14 17:14

Updated, thanks for the suggestion!